import Vue from 'vue'

function arpaError() {
  const arpaErrorMsg = 'تبادل اطلاعات با پایگاه داده آسان سرویس با مشکل مواجه شده، لطفا صفحه را بروزرسانی کنید.'
  const arpaErrorTitle = 'مشکل در ارتباط'
  Vue.prototype
    .$confirm(arpaErrorMsg, arpaErrorTitle, {
      confirmButtonText: 'بروزرسانی صفحه',
      cancelButtonText: 'بستن',
      type: 'warning'
    })
    .then(() => {
      window.location.reload()
    })
    .catch(() => {
      Vue.prototype.$message({
        type: 'info',
        message: 'برای ادامه صفحه را به صورت دستی بروزرسانی کنید'
      })
    })
}

function fetchError() {
  const arpaErrorMsg = 'دریافت اطلاعات با مشکل مواجه شده، لطفا صفحه را بروزرسانی کنید.'
  const arpaErrorTitle = 'دریافت ناموفق'
  Vue.prototype
    .$confirm(arpaErrorMsg, arpaErrorTitle, {
      confirmButtonText: 'تلاش مجدد',
      cancelButtonText: 'بستن',
      type: 'warning'
    })
    .then(() => {
      window.location.reload()
    })
    .catch(() => {
      Vue.prototype.$message({
        type: 'info',
        message: 'برای ادامه صفحه را به صورت دستی بروزرسانی کنید'
      })
    })
}

Vue.prototype.$arpaError = arpaError
Vue.prototype.$fetchError = fetchError
